Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge -auv world fails
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
Extintor
Tux's lil' helper
Tux's lil' helper


Joined: 09 Oct 2004
Posts: 113
Location: Stockholm, Sweden

PostPosted: Thu Aug 03, 2006 11:13 am    Post subject: emerge -auv world fails Reply with quote

My glibc 2.4 fails with following error message
Code:

*glibc 2.4 is nptl-only!

!!! ERROR: sys-libs/glibc-2.4-r3 failed
Call Stack:
  ebuild.sh, line 1555: Called dyn_setup
  ebuild.sh, line 668: Called pkg_setup
  glibc-2.4-r3.ebuild, line 1079: Called die

!!! Please add USE="nptl nptlonly" to make.conf


So i added "nptl and ntplonly" to my useflag and retried, gave me the same error message. What do i need to do now?
Is a "emerge -e system && emerge -e world" in place maybe ?

I'm running the whole thing on a iBook G4 (1.2 ghz ppc, 512 ram, 60 hdd and alot of apple junk hardware :P)

Thank you in advance, and I'll update this post if i find anything that might help.
_________________
Beerhazard | Nobelium | VIm | Perl | Ruby
Back to top
View user's profile Send private message
moocha
Watchman
Watchman


Joined: 21 Oct 2003
Posts: 5722

PostPosted: Thu Aug 03, 2006 11:29 am    Post subject: Reply with quote

What kernel are you using? NPTL requires a 2.6.5+ kernel. Better yet, please provide the output of
Code:
emerge --info

_________________
Military Commissions Act of 2006: http://tinyurl.com/jrcto

"Those who would give up essential liberty to purchase a little temporary safety deserve neither liberty nor safety."
-- attributed to Benjamin Franklin
Back to top
View user's profile Send private message
Extintor
Tux's lil' helper
Tux's lil' helper


Joined: 09 Oct 2004
Posts: 113
Location: Stockholm, Sweden

PostPosted: Thu Aug 03, 2006 11:38 am    Post subject: Reply with quote

Here it is, I'm using kernel 2.6.17-gentoo-r4 (because of native airport extrem drivers)

emerge --info
Code:

Gentoo Base System version 1.6.15
Portage 2.1-r1 (default-linux/ppc/ppc32/2006.0/G4, gcc-4.1.1, glibc-2.3.5-r3, 2.6.17-gentoo-r4 ppc)
=================================================================
System uname: 2.6.17-gentoo-r4 ppc 7447A, altivec supported
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r4
ACCEPT_KEYWORDS="ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -fomit-frame-pointer -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
CXXFLAGS="-O2 -fomit-frame-pointer -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -fno-strict-aliasing -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.du.se/pub/os/gentoo http://ftp.du.se/pub/os/gentoo http://ds.thn.htu.se/linux/gentoo "
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="ppc X alsa altivec apache2 apm arts bash-completion berkdb bitmap-fonts bonobo cdr cli crypt cups dlloader dri dvd eds emboss encode foomaticdb fortran gdbm gif gpm gstreamer gtk gtkhtml imlib ipv6 isdnlog jpeg ldap libg++ libwww mad mikmod motif mozilla mp3 mpeg ncurses nls nptl ntplonly ogg opengl pam pcre pdflib perl png pppd python qt3 qt4 quicktime readline reflection ruby sdl session spell spl ssl tcpd truetype truetype-fonts type1-fonts udev unicode vorbis xml xmms xorg xv zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_vga video_cards_radeon"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

_________________
Beerhazard | Nobelium | VIm | Perl | Ruby
Back to top
View user's profile Send private message
marelven
n00b
n00b


Joined: 11 Jun 2005
Posts: 15
Location: Montreal, Canada

PostPosted: Fri Aug 04, 2006 3:04 am    Post subject: Reply with quote

Hi,

Ihad the same error but this thread gave me the solution :
https://forums.gentoo.org/viewtopic-t-478997-highlight-glibc.html

You should have a look...
Back to top
View user's profile Send private message
Extintor
Tux's lil' helper
Tux's lil' helper


Joined: 09 Oct 2004
Posts: 113
Location: Stockholm, Sweden

PostPosted: Fri Aug 04, 2006 12:14 pm    Post subject: Reply with quote

I did that exact thing, thanks :)

Now i have problems with building openmotif instead :(
_________________
Beerhazard | Nobelium | VIm | Perl | Ruby
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum